## ejabberd 1.0.0

=== doc/Makefile ===
# $Id$

all:	guide.html dev.html

guide.html:	guide.tex
		hevea -charset ISO8859-1 guide.tex

dev.html:	dev.tex
		hevea -charset ISO8859-1 dev.tex

## ejabberd 1.1.1

=== doc/Makefile ===
# $Id$

all:	release pdf html

release:
	@echo "Notes for the releaser:"
	@echo "* Do not forget to add a link to the release notes in guide.tex"
	@echo "* Do not forget to change the version number in version.tex"
	@echo "* Do not forget to update the features in introduction.tex (including \new{} and \improved{} tags)."
	@read -p "press any key to continue"

html:	guide.html dev.html features.html

pdf:	guide.pdf features.pdf

clean:
	rm -f *.aux
	rm -f *.haux
	rm -f *.html
	rm -f *.htoc
	rm -f *.idx
	rm -f *.ilg
	rm -f *.ind
	rm -f *.log
	rm -f *.out
	rm -f *.pdf
	rm -f *.toc

guide.html:	guide.tex
		hevea guide.tex
		hevea guide.tex

dev.html:	dev.tex
		hevea dev.tex
		hevea dev.tex

features.html:	features.tex
		hevea features.tex
		hevea features.tex

guide.pdf:	guide.tex
		pdflatex guide.tex
		pdflatex guide.tex
		pdflatex guide.tex
		makeindex guide.idx
		pdflatex guide.tex

features.pdf:	features.tex
		pdflatex features.tex

## ejabberd 1.1.2

=== doc/Makefile ===
--- 
+++ 
@@ -27,16 +27,13 @@
 	rm -f *.toc
 
 guide.html:	guide.tex
-		hevea guide.tex
-		hevea guide.tex
-
+		hevea -fix -noiso -pedantic guide.tex
+		
 dev.html:	dev.tex
-		hevea dev.tex
-		hevea dev.tex
+		hevea -fix -noiso -pedantic dev.tex
 
 features.html:	features.tex
-		hevea features.tex
-		hevea features.tex
+		hevea -fix -noiso -pedantic features.tex
 
 guide.pdf:	guide.tex
 		pdflatex guide.tex

## ejabberd 2.0.1

=== doc/Makefile ===
# $Id$

SHELL = /bin/bash

CONTRIBUTED_MODULES = ""
ifeq ($(shell ls mod_http_bind.tex),mod_http_bind.tex)
	CONTRIBUTED_MODULES += "\\n\\setboolean{modhttpbind}{true}"
endif
ifeq ($(shell ls mod_http_fileserver.tex),mod_http_fileserver.tex)
	CONTRIBUTED_MODULES += "\\n\\setboolean{modhttpfileserver}{true}"
endif


all:	release pdf html

release:
	@echo "Notes for the releaser:"
	@echo "* Do not forget to add a link to the release notes in guide.tex"
	@echo "* Do not forget to update the version number in src/ejabberd.hrl!"
	@echo "* Do not forget to update the features in introduction.tex (including \new{} and \improved{} tags)."
	@echo "Press any key to continue"
	@read foo
	@echo "% ejabberd version (automatically generated)." > version.tex
	@echo "\newcommand{\version}{"`sed '/VERSION/!d;s/\(.*\)"\(.*\)"\(.*\)/\2/' ../src/ejabberd.hrl`"}" >> version.tex
	@echo -n "% Contributed modules (automatically generated)."  > contributed_modules.tex
	@echo -e "$(CONTRIBUTED_MODULES)" >> contributed_modules.tex

html:	guide.html dev.html features.html

pdf:	guide.pdf features.pdf

clean:
	rm -f *.aux
	rm -f *.haux
	rm -f *.html
	rm -f *.htoc
	rm -f *.idx
	rm -f *.ilg
	rm -f *.ind
	rm -f *.log
	rm -f *.out
	rm -f *.pdf
	rm -f *.toc

guide.html:	guide.tex
		hevea -fix -pedantic guide.tex

dev.html:	dev.tex
		hevea -fix -pedantic dev.tex

features.html:	features.tex
		hevea -fix -pedantic features.tex

guide.pdf:	guide.tex
		pdflatex guide.tex
		pdflatex guide.tex
		pdflatex guide.tex
		makeindex guide.idx
		pdflatex guide.tex

features.pdf:	features.tex
		pdflatex features.tex

=== doc/api/Makefile ===
APPNAME = ejabberd
VSN = SVN

DOCDIR=.
SRCDIR=../../src

.PHONY = all

all: docs

clean:
	rm -f *.html
	rm edoc-info

docs:
	erl -noshell -run edoc_run application \
	"'$(APPNAME)'" '"$(SRCDIR)"' '[{dir,"$(DOCDIR)"},{packages, false},{todo,true},{private,true},{def,{vsn,"$(VSN)"}},{stylesheet,"process-one.css"},{overview,"$(DOCDIR)/overview.edoc"}]' -s init stop

## ejabberd 2.0.3

=== doc/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	@echo "Press any key to continue"
 	@read foo
 	@echo "% ejabberd version (automatically generated)." > version.tex
-	@echo "\newcommand{\version}{"`sed '/VERSION/!d;s/\(.*\)"\(.*\)"\(.*\)/\2/' ../src/ejabberd.hrl`"}" >> version.tex
+	@echo "\newcommand{\version}{"`sed '/vsn/!d;s/\(.*\)"\(.*\)"\(.*\)/\2/' ../src/ejabberd.app`"}" >> version.tex
 	@echo -n "% Contributed modules (automatically generated)."  > contributed_modules.tex
 	@echo -e "$(CONTRIBUTED_MODULES)" >> contributed_modules.tex

## ejabberd 2.0.5

=== doc/Makefile ===
--- 
+++ 
@@ -32,7 +32,6 @@
 clean:
 	rm -f *.aux
 	rm -f *.haux
-	rm -f *.html
 	rm -f *.htoc
 	rm -f *.idx
 	rm -f *.ilg
@@ -41,6 +40,10 @@
 	rm -f *.out
 	rm -f *.pdf
 	rm -f *.toc
+	[ ! -f contributed_modules.tex ] || rm contributed_modules.tex
+
+distclean: clean
+	rm -f *.html
 
 guide.html:	guide.tex
 		hevea -fix -pedantic guide.tex

=== doc/api/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 APPNAME = ejabberd
-VSN = SVN
+VSN = $(shell sed '/vsn/!d;s/\(.*\)"\(.*\)"\(.*\)/\2/' ../../src/ejabberd.app)
 
 DOCDIR=.
 SRCDIR=../../src

## ejabberd 2.1.11-1

=== debian/changelog ===
ejabberd (2.1.11-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release (closes: #654853).
  * Update mod_admin_extra module to revision 1126.
  * Provide custom implementation of xmerl_regexp:sh_to_awk/1
    (closes: #670307).
  * Refresh reopen-log.patch
  * Add use_dpkg_buildflags.patch (thanks to Simon Ruderich,
    closes: #664034).
  * Explain the "fqdn" configuration file option which has to be used
    in certain setups for the SCRAM-SHA-1 to work with complying clients.
    Mention this fact in the NEWS file. (Closes: #706590)
  * Add upstream patch fixing incorrect escaping of a single quote character
    in SQL queries generated by the ODBC storage backend (closes: #708151,
    thanks to Vladislav Chugunov).

  [ Gerfried Fuchs ]
  * Add upstream patches disabling SSLv2 and weak cyphers in TLS driver
    (closes: #722105).
  * New upstream release made these patches obsolete:
    relax-digest-uri-handling.patch, fix-parsing-split-https-requests.patch,
    fix-odbc-escaping.patch

 -- Gerfried Fuchs <rhonda@debian.org>  Thu, 17 Oct 2013 12:57:47 +0200

ejabberd (2.1.10-5) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Add patch fixing parsing of optional parameters in SCRAM SHA-1 headers
    (closes: #705613, thanks to Stephen Röttger for both writing the
    original patch and backporting it to 2.1.10).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Thu, 25 Apr 2013 15:31:59 +0000

ejabberd (2.1.10-4) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Do not run ejabberdctl as root in prerm and logrotate scripts
    (closes: #691125, thanks to Michael Stapelberg and Felix Geyer).
  * Add upstream patch fixing receiving JPEG vCard photos via LDAP
    (closes: #660186).
  * Add upstream patch fixing parsing HTTPS requests split into
    multiple packets (closes: #698309).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sat, 16 Feb 2013 16:59:21 +0000

ejabberd (2.1.10-3) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Provide custom implementation of xmerl_regexp:sh_to_awk/1
    (closes: #670307).
  * Add use_dpkg_buildflags.patch (thanks to Simon Ruderich,
    closes: #664034).
  * Add relax-digest-uri-handling.patch (closes: #654853).
  * Add Slovak translation (thanks to Slavko, closes: #647115).
  * Add Italian translation (thanks to Beatrice Torracca, closes: #682987).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sun, 20 May 2012 14:51:12 +0400

ejabberd (2.1.10-2) unstable; urgency=low

  [ Gerfried Fuchs ]
  * Upload to unstable (closes: #657759).
  * Remove code for #368414 from postinst, 1.1.1-3 is ancient history
    (closes: #656826)

  [ Konstantin Khomoutov ]
  * Update Dutch translation (thanks to Jeroen Schot, closes: #657590).
  * Enable hardened building of C drivers by using dpkg-buildflags
    (thanks to Moritz Muehlenhoff, closes: #657525).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Wed, 01 Feb 2012 01:50:40 +0400

ejabberd (2.1.10-1) experimental; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release.
  * Update mod_admin_extra to revision 1123.

  [ Gerfried Fuchs ]
  * Bump erlang-dev Build-Depends version to >= 1:15.b.

 -- Gerfried Fuchs <rhonda@debian.org>  Sun, 08 Jan 2012 11:45:38 +0100

ejabberd (2.1.9-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release.
  * Remove obsoleted version.patch.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Mon, 03 Oct 2011 20:27:12 +0400

ejabberd (2.1.8-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release.
  * Remove patch fixing DSA-2248-1 (CVE-2011-1753)
    as the fix is now integrated upstream.
  * Drop patches from OLPC project implementing @recent@ and @online@
    shared roster groups; support for @online@ is now intergated upstream.
  * Add patch fixing version string where applicable (EJAB-1484).
  * Bump standards version to 3.9.2

  [ Gerfried Fuchs ]
  * Add recommended targets build-arch and build-indep to debian/rules.
  * Fix spelling error in manpage noticed by lintian.

 -- Gerfried Fuchs <rhonda@debian.org>  Sun, 11 Sep 2011 16:16:55 +0200

ejabberd (2.1.6-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Disable entity expansion completely to prevent against
    billion laugs DoS attack (CVE-2011-1753).

 -- Nico Golde <nion@debian.org>  Mon, 30 May 2011 23:53:46 +0200

ejabberd (2.1.6-2) unstable; urgency=low

  * Artifically set HOME environment variable in debian/rules
    if it is not set--this is required for the erlexec binary
    to be able to run successfully (closes: #620683).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Wed, 06 Apr 2011 01:32:42 +0400

ejabberd (2.1.6-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete patches.
  * Update mod_admin_extra to revision 1106.
  * Conflict with ejabberd-mod-shared-roster-ldap which is now included.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Tue, 14 Dec 2010 17:45:08 +0300

ejabberd (2.1.5-3) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Add patch http-poll-binary-parse.patch fixing EJAB-1325 (closes: #601094).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sat, 23 Oct 2010 17:05:48 +0400

ejabberd (2.1.5-2) unstable; urgency=low

  [ Gerfried Fuchs ]
  * New debconf translation:
    - Danish by Joe Hansen (closes: #592271)
  * Run debconf-updatepo on all other translations.

  [ Konstantin Khomoutov ]
  * Remove /var/run/ejabberd on package purge (LP: #615473).
  * Add mod-vcard-ldap-photo.patch fixing EJAB-1258 (LP: #613854).
  * Bump standards version to 3.9.1.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 15 Sep 2010 21:03:06 +0200

ejabberd (2.1.5-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release.
  * Remove obsolete erlang-otp-r14-ssl.patch
  * Refresh patches: reopen-log.patch, shared_roster_online.patch
    shared_roster_recent.patch


=== debian/control ===
Source: ejabberd
Section: net
Priority: optional
Maintainer: Konstantin Khomoutov <flatworm@users.sourceforge.net>
Uploaders: Gerfried Fuchs <rhonda@debian.org>
Build-Depends: debhelper (>= 7.3~), quilt, erlang-base, erlang-asn1, erlang-parsetools, erlang-dev (>= 1:15.b), libexpat1-dev, libssl-dev, zlib1g-dev, libpam0g-dev, po-debconf
Standards-Version: 3.9.2
Homepage: http://www.process-one.net/en/projects/ejabberd/
Vcs-Git: git://git.deb.at/pkg/ejabberd.git
Vcs-Browser: http://git.deb.at/w/pkg/ejabberd.git

Package: ejabberd
Architecture: any
Depends: adduser, ${erlang:Depends}, ${erlang-abi:Depends}, openssl, ucf, ${misc:Depends}, ${shlibs:Depends}
Suggests: libunix-syslog-perl, imagemagick | graphicsmagick-imagemagick-compat
Conflicts: ejabberd-mod-shared-roster-ldap
Description: distributed, fault-tolerant Jabber/XMPP server written in Erlang
 ejabberd is a distributed, fault-tolerant Jabber/XMPP server written in Erlang.
 Its features contain:
  - XMPP-compliant
  - Web based administration
  - Load balancing: can run in a cluster of machines
  - Fault-tolerance: database can be replicated and stored on multiple
    nodes (nodes can be added or replaced 'on the fly')
  - Virtual hosting: several virtual domains can be served using single ejabberd
    instance
  - SSL/TLS support
  - Multi-User Chat (MUC/conference)
  - IRC transport
  - Jabber Users Directory, based on users vCards
  - Service Discovery
  - Shared roster

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

DEB_CONFIGURE_EXTRA_FLAGS := --enable-odbc --enable-pam
# Not sure if we should enable workaround for gateway subscription
# Adding it breaks XMPP compatibility
# Not adding breaks roster import for some gateways (specifically JIT)
#DEB_CONFIGURE_EXTRA_FLAGS := --enable-odbc --enable-roster-gateway-workaround


AUTO_OPTS = --sourcedirectory=src

DESTDIR=$(CURDIR)/debian/ejabberd

ifndef HOME
	export HOME="$(CURDIR)"
endif

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	dh_auto_configure $(AUTO_OPTS) -- $(DEB_CONFIGURE_EXTRA_FLAGS) \
		$(shell dpkg-buildflags --export=configure)

	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	dh_auto_build $(AUTO_OPTS)

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	dh_auto_clean $(AUTO_OPTS)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	dh_auto_install $(AUTO_OPTS)

	# Remove unused upstream config files:
	rm $(DESTDIR)/etc/ejabberd/ejabberd.cfg
	rm $(DESTDIR)/etc/ejabberd/ejabberdctl.cfg

	# Remove unused upstream directories:
	rm -rf $(DESTDIR)/var/lock

	# Remove upstream license file:
	rm $(DESTDIR)/usr/share/doc/ejabberd/COPYING

	# Remove autogenerated init-script:
	rm $(CURDIR)/src/ejabberd.init


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
	dh_installdebconf
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	erlang-depends
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	dh_testdir
	wget -O ../ejabberd_$(DEB_UPSTREAM_VERSION).orig.tar.gz \
		http://www.process-one.net/en/projects/ejabberd/download/$(DEB_UPSTREAM_VERSION)/ejabberd-$(DEB_UPSTREAM_VERSION).tar.gz

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## ejabberd 2.1.11-1ubuntu2

=== debian/changelog ===
ejabberd (2.1.11-1ubuntu2) trusty; urgency=low

  * Use autotools-dev for arm64.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 10 Feb 2014 14:41:57 -0500

ejabberd (2.1.11-1ubuntu1) trusty; urgency=low

  * Add digest-uri-virtual-hosts.patch from upstream commit f434501
    - Fixes a problem with Pidgin not being able to log in on a server
      with multiple virtual hosts and SRV records (LP: #1097366)

 -- a7x <ubuntu-a7x@scientician.org>  Tue, 08 Jan 2013 12:52:21 -0500

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 configure: configure-stamp
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
-
+	dh_autotools-dev_updateconfig
 	dh_auto_configure $(AUTO_OPTS) -- $(DEB_CONFIGURE_EXTRA_FLAGS) \
 		$(shell dpkg-buildflags --export=configure)
 
@@ -48,7 +48,7 @@
 	rm -f build-stamp configure-stamp
 
 	dh_auto_clean $(AUTO_OPTS)
-
+	dh_autotools-dev_restoreconfig
 	dh_clean 
 
 install: build

=== debian/watch ===
version=3

http://www.process-one.net/en/ejabberd/archive/ \
   /downloads/ejabberd/[\d.]+/ejabberd-([\d.]+)[_\d]*.tar.gz

## ejabberd 2.1.11-1ubuntu2.1

=== doc/Makefile ===
--- 
+++ 
@@ -3,12 +3,9 @@
 SHELL = /bin/bash
 
 CONTRIBUTED_MODULES = ""
-ifeq ($(shell ls mod_http_bind.tex),mod_http_bind.tex)
-	CONTRIBUTED_MODULES += "\\n\\setboolean{modhttpbind}{true}"
-endif
-ifeq ($(shell ls mod_http_fileserver.tex),mod_http_fileserver.tex)
-	CONTRIBUTED_MODULES += "\\n\\setboolean{modhttpfileserver}{true}"
-endif
+#ifeq ($(shell ls mod_http_bind.tex),mod_http_bind.tex)
+#	CONTRIBUTED_MODULES += "\\n\\setboolean{modhttpbind}{true}"
+#endif
 
 
 all:	release pdf html
@@ -16,10 +13,10 @@
 release:
 	@echo "Notes for the releaser:"
 	@echo "* Do not forget to add a link to the release notes in guide.tex"
-	@echo "* Do not forget to update the version number in src/ejabberd.hrl!"
+	@echo "* Do not forget to update the version number in src/ejabberd.app!"
 	@echo "* Do not forget to update the features in introduction.tex (including \new{} and \improved{} tags)."
 	@echo "Press any key to continue"
-	@read foo
+	##@read foo
 	@echo "% ejabberd version (automatically generated)." > version.tex
 	@echo "\newcommand{\version}{"`sed '/vsn/!d;s/\(.*\)"\(.*\)"\(.*\)/\2/' ../src/ejabberd.app`"}" >> version.tex
 	@echo -n "% Contributed modules (automatically generated)."  > contributed_modules.tex

=== doc/api/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 clean:
 	rm -f *.html
 	rm edoc-info
+	rm erlang.png
 
 docs:
 	erl -noshell -run edoc_run application \

=== debian/changelog ===
ejabberd (2.1.11-1ubuntu2.1) trusty; urgency=low

  * Fix LDAP authentication (LP: #1241632)
    - debian/patches/fix-erlang-r16b-compat.patch: backport upstream
      fix for Erlang 16b compatibility. 
    - upstream reference: https://support.process-one.net/browse/EJAB-1612

 -- Lionel Porcheron <lionel.porcheron@ubuntu.com>  Mon, 28 Apr 2014 12:09:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ejabberd
 Section: net
 Priority: optional
-Maintainer: Konstantin Khomoutov <flatworm@users.sourceforge.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Konstantin Khomoutov <flatworm@users.sourceforge.net>
 Uploaders: Gerfried Fuchs <rhonda@debian.org>
-Build-Depends: debhelper (>= 7.3~), quilt, erlang-base, erlang-asn1, erlang-parsetools, erlang-dev (>= 1:15.b), libexpat1-dev, libssl-dev, zlib1g-dev, libpam0g-dev, po-debconf
+Build-Depends: debhelper (>= 7.3~), quilt, erlang-base, erlang-asn1, erlang-parsetools, erlang-dev (>= 1:15.b), libexpat1-dev, libssl-dev, zlib1g-dev, libpam0g-dev, po-debconf, autotools-dev
 Standards-Version: 3.9.2
 Homepage: http://www.process-one.net/en/projects/ejabberd/
 Vcs-Git: git://git.deb.at/pkg/ejabberd.git

## ejabberd 2.1.11-1ubuntu3

=== debian/changelog ===
ejabberd (2.1.11-1ubuntu3) utopic; urgency=low

  * Fix LDAP authentication (LP: #1241632)
    - debian/patches/fix-erlang-r16b-compat.patch: backport upstream
      fix for Erlang 16b compatibility. 
    - upstream reference: https://support.process-one.net/browse/EJAB-1612
  * Add ufw profile (LP: #1254688)

 -- Lionel Porcheron <lionel.porcheron@ubuntu.com>  Mon, 28 Apr 2014 13:27:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	# Remove autogenerated init-script:
 	rm $(CURDIR)/src/ejabberd.init
 
+	install -m644 debian/ejabberd.ufw.profile debian/ejabberd/etc/ufw/applications.d/ejabberd
 
 # Build architecture-independent files here.
 binary-indep: install

## ejabberd 14.07

=== doc/Makefile ===
--- 
+++ 
@@ -13,12 +13,12 @@
 release:
 	@echo "Notes for the releaser:"
 	@echo "* Do not forget to add a link to the release notes in guide.tex"
-	@echo "* Do not forget to update the version number in src/ejabberd.app!"
+	@echo "* Do not forget to update the version number in ebin/ejabberd.app!"
 	@echo "* Do not forget to update the features in introduction.tex (including \new{} and \improved{} tags)."
 	@echo "Press any key to continue"
 	##@read foo
 	@echo "% ejabberd version (automatically generated)." > version.tex
-	@echo "\newcommand{\version}{"`sed '/vsn/!d;s/\(.*\)"\(.*\)"\(.*\)/\2/' ../src/ejabberd.app`"}" >> version.tex
+	@echo "\newcommand{\version}{"`sed '/vsn/!d;s/\(.*\)"\(.*\)"\(.*\)/\2/' ../ebin/ejabberd.app`"}" >> version.tex
 	@echo -n "% Contributed modules (automatically generated)."  > contributed_modules.tex
 	@echo -e "$(CONTRIBUTED_MODULES)" >> contributed_modules.tex

=== debian/changelog ===
ejabberd (14.07-4ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1335141) Remaining changes:
    - debian/ejabberd.ufw.profile, debian/rules:
      + Add ufw profile.
  * Drop following patches, fixed upstream:
    - debian/patches/digest-uri-virtual-hosts.patch
    - debian/patches/fix-erlang-r16b-compat.patch
  * Drop support autotools-dev. Anyway arm64 is dep-waiting this time.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 15 Feb 2015 18:32:59 +0100

ejabberd (14.07-4) unstable; urgency=medium

  [ Holger Weiss ]
  * Avoid hanging c2s processes (Closes: #771808)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Dec 2014 07:40:52 +0100

ejabberd (14.07-3) unstable; urgency=medium

  * Don't depend on /usr/share/doc during postinst (Closes: #764974)
  * Added patch for CVE-2014-8760 (Closes: #767535)
  * Don't let "reopen-log" command rotate logs and disable ejabberd's internal
    log rotation in default cofiguration (Closes: #768462)
  * (Re-)Enable TLS by default but disable SSLv3

 -- Philipp Huebner <debalance@debian.org>  Thu, 13 Nov 2014 10:59:18 +0100

ejabberd (14.07-2) unstable; urgency=medium

  * Enable IPv6 in default configuration
  * Fix init: stopping should succeed if the program is not running
  * Fix init: only start ejabberd if not already running
  * Recommend ejabberd-contrib
  * Update README.Debian (Closes: #624793)
  * Backport upstream fix for "ldap_deref_aliases"
  * Call erlang-depends in debian/rules and reduce hardcoded dependencies
  * Updated Standards-Version: 3.9.6 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 01 Oct 2014 15:06:49 +0200

ejabberd (14.07-1) unstable; urgency=low

  * New upstream release (Closes: #503313, #539409, #610532, #706897, #712145,
    #722478, #746029, #746043, 746073, #747673)
  * Change default EJABBERD_NODE back to "ejabberd" (Closes: #757858)
  * Suppress misleading warning during postinst (Closes: #598332)
  * Declare package source format as 3.0 (quilt)
  * Switch to debhelper 9
  * Drop obsolete patches for older releases
  * Add new patches to make 14.07 build and work
  * Drop custom scripts in favour of upstream ones
  * Drop custom config+init in favour of upstream ones (Closes: #744084,
    #517178, #738496)
  * Adjust packaging to new upstream release
  * Update (Build-)Depends and Standards-Version
  * Update copyright
  * Update maintainer scripts
  * Update TODO
  * Update NEWS
  * Fix watch file
  * Clean up packaging
  * Add Provides: xmpp-server to debian/control (Closes: #737762)

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Aug 2014 01:40:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,27 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Konstantin Khomoutov <flatworm@users.sourceforge.net>
-Uploaders: Gerfried Fuchs <rhonda@debian.org>
-Build-Depends: debhelper (>= 7.3~), quilt, erlang-base, erlang-asn1, erlang-parsetools, erlang-dev (>= 1:15.b), libexpat1-dev, libssl-dev, zlib1g-dev, libpam0g-dev, po-debconf, autotools-dev
-Standards-Version: 3.9.2
+Uploaders: Gerfried Fuchs <rhonda@debian.org>, Philipp Huebner <debalance@debian.org>
+Build-Depends: debhelper (>= 9),
+               erlang-asn1, erlang-base, erlang-crypto, erlang-dev (>= 1:15.b), erlang-eunit, erlang-inets, erlang-lager, erlang-jiffy, erlang-mnesia, erlang-parsetools,
+               erlang-p1-cache-tab, erlang-p1-iconv, erlang-p1-mysql, erlang-p1-pam, erlang-p1-pgsql, erlang-p1-sip, erlang-p1-stringprep, erlang-p1-stun,
+               erlang-p1-tls, erlang-p1-utils, erlang-p1-xml, erlang-p1-yaml, erlang-p1-zlib,
+               erlang-ssl, erlang-xmlrpc,
+               hevea, po-debconf, rebar, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra
+Standards-Version: 3.9.6
 Homepage: http://www.process-one.net/en/projects/ejabberd/
 Vcs-Git: git://git.deb.at/pkg/ejabberd.git
 Vcs-Browser: http://git.deb.at/w/pkg/ejabberd.git
 
 Package: ejabberd
 Architecture: any
-Depends: adduser, ${erlang:Depends}, ${erlang-abi:Depends}, openssl, ucf, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser, erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, openssl, ucf, ${misc:Depends}, ${shlibs:Depends},
+               erlang-lager, erlang-jiffy, erlang-p1-cache-tab, erlang-p1-iconv, erlang-p1-mysql, erlang-p1-pam, erlang-p1-pgsql, erlang-p1-sip, erlang-p1-stringprep,
+               erlang-p1-stun, erlang-p1-tls, erlang-p1-utils, erlang-p1-xml, erlang-p1-yaml, erlang-p1-zlib, erlang-xmlrpc
+Recommends: ejabberd-contrib
 Suggests: libunix-syslog-perl, imagemagick | graphicsmagick-imagemagick-compat
 Conflicts: ejabberd-mod-shared-roster-ldap
+Provides: xmpp-server
 Description: distributed, fault-tolerant Jabber/XMPP server written in Erlang
  ejabberd is a distributed, fault-tolerant Jabber/XMPP server written in Erlang.
  Its features contain:

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/ejabberd


%:
	dh $@


.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	        dh_auto_configure -- --enable-odbc --enable-mysql --enable-pgsql --enable-pam \
			--enable-zlib --enable-json --enable-iconv --enable-lager --enable-stun

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	cd doc && make all

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
#	Add ufw profile
	install -m 644 debian/ejabberd.ufw.profile $(DESTDIR)/etc/ufw/applications.d/ejabberd
	rm $(DESTDIR)/etc/ejabberd/ejabberd.yml
	mkdir $(DESTDIR)/etc/init.d $(DESTDIR)/etc/default
	cp ejabberd.init $(DESTDIR)/etc/init.d/ejabberd
	mv $(DESTDIR)/etc/ejabberd/ejabberdctl.cfg $(DESTDIR)/etc/default/ejabberd
	ln -s ../default/ejabberd $(DESTDIR)/etc/ejabberd/ejabberdctl.cfg
	rm -r $(DESTDIR)/var/lock
	rm -rf $(DESTDIR)/usr/lib/$(DPKG_CACHE_DEB_BUILD_MULTIARCH)/ejabberd/priv/lib
	rm $(DESTDIR)/usr/share/doc/ejabberd/COPYING
	mkdir $(DESTDIR)/usr/share/ejabberd
	cp ejabberd.yml.example $(DESTDIR)/usr/share/ejabberd/ejabberd.yml.example

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --exclude=ejabberd.yml

.PHONY: override_dh_installdeb
override_dh_installdeb:
	erlang-depends
	dh_installdeb

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	cd doc && make clean
	rm -f doc/version.tex
	rm -rf Makefile config.log config.status src/ejabberd.app.src vars.config ebin \
		ejabberd.init ejabberdctl.example include/XmppAddr.hrl src/XmppAddr.asn1db \
		src/XmppAddr.erl src/eldap_filter_yecc.erl
	dh_auto_clean

## ejabberd 15.03

=== doc/Makefile ===
# $Id$

SHELL = /bin/sh

CONTRIBUTED_MODULES = ""
#ifeq ($(shell ls mod_http_bind.tex),mod_http_bind.tex)
#	CONTRIBUTED_MODULES += "\\n\\setboolean{modhttpbind}{true}"
#endif


all:	release pdf html

release:
	@printf '%s\n' "Notes for the releaser:"
	@printf '%s\n' "* Do not forget to add a link to the release notes in guide.tex"
	@printf '%s\n' "* Do not forget to update the version number in ebin/ejabberd.app!"
	@printf '%s\n' "* Do not forget to update the features in introduction.tex (including \new{} and \improved{} tags)."
	@printf '%s\n' "Press any key to continue"
	##@read foo
	@printf '%s\n' "% ejabberd version (automatically generated)." > version.tex
	@printf '%s\n' "\newcommand{\version}{"`sed '/vsn/!d;s/\(.*\)"\(.*\)"\(.*\)/\2/' ../ebin/ejabberd.app`"}" >> version.tex
	@printf '%s'   "% Contributed modules (automatically generated)." > contributed_modules.tex
	@printf '%b\n' "$(CONTRIBUTED_MODULES)" >> contributed_modules.tex

html:	guide.html dev.html features.html

pdf:	guide.pdf features.pdf

clean:
	rm -f *.aux
	rm -f *.haux
	rm -f *.htoc
	rm -f *.idx
	rm -f *.ilg
	rm -f *.ind
	rm -f *.log
	rm -f *.out
	rm -f *.pdf
	rm -f *.toc
	[ ! -f contributed_modules.tex ] || rm contributed_modules.tex

distclean: clean
	rm -f *.html

guide.html:	guide.tex
		hevea -fix -pedantic guide.tex

dev.html:	dev.tex
		hevea -fix -pedantic dev.tex

features.html:	features.tex
		hevea -fix -pedantic features.tex

guide.pdf:	guide.tex
		pdflatex guide.tex
		pdflatex guide.tex
		pdflatex guide.tex
		makeindex guide.idx
		pdflatex guide.tex

features.pdf:	features.tex
		pdflatex features.tex

=== debian/changelog ===
ejabberd (15.03-2) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #789757
  * [Debconf translation updates]
  * Spanish; (Badlop).  Closes: #793310
  * Swedish (Martin Bagge).  Closes: #793453
  * Russian (Sergey Alyoshin).  Closes: #793591
  * Danish (Joe Hansen).  Closes: #794507
  * French (Jean-Pierre Giraud).  Closes: #794515
  * Turkish (Mert Dirik).  Closes: #794550
  * German (Torsten Werner).  Closes: #794599
  * Italian (Beatrice Torracca).  Closes: #794685
  * Dutch; (Frans Spiesschaert).  Closes: #794712
  * Brazilian Portuguese; (Adriano Rafael Gomes).  Closes: #794970
  * Portuguese; (Américo Monteiro). Closes: #795005

  [ Philipp Huebner ]
  * convert package to use dh_installinit (Closes: #788007)
  * init script: replace echo with log_daemon_msg
  * web admin console now uses https by default
  * ejabberdctl can now handle shell metacharacters in passwords
    (Closes: #792831)

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Aug 2015 11:35:07 +0200

ejabberd (15.03-1) unstable; urgency=medium

  * Include upstream patch to fix logging of nicknames in muc logs
    (Closes: #706897)
  * Updated homepage field in debian/control (Closes: #784775)
  * Adjust logrotate postrotate command in case ejabberd is not running
    (Closes: #786588)
  * Debconf now checks for valid JIDs (Closes:  #605404)

 -- Philipp Huebner <debalance@debian.org>  Mon, 22 Jun 2015 20:11:37 +0200

ejabberd (15.03-1~exp2) experimental; urgency=low

  * Enable redis client

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Apr 2015 17:51:21 +0200

ejabberd (15.03-1~exp1) experimental; urgency=low

  * New upstream release
  * Update patches for ejabberd 15.03
  * Drop debian/ejabberd.8 as there is no "ejabberd" executable anymore
  * Import ufw profile from Ubuntu
  * Debconf now checks for valid JIDs

 -- Philipp Huebner <debalance@debian.org>  Tue, 21 Apr 2015 19:27:57 +0200

=== debian/control ===
Source: ejabberd
Section: net
Priority: optional
Maintainer: Konstantin Khomoutov <flatworm@users.sourceforge.net>
Uploaders: Gerfried Fuchs <rhonda@debian.org>, Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9),
               erlang-asn1, erlang-base, erlang-crypto, erlang-dev (>= 1:15.b), erlang-eunit, erlang-inets, erlang-lager, erlang-jiffy, erlang-mnesia, erlang-parsetools,
               erlang-p1-cache-tab, erlang-p1-iconv, erlang-p1-mysql, erlang-p1-pam, erlang-p1-pgsql, erlang-p1-sip, erlang-p1-stringprep, erlang-p1-stun,
               erlang-p1-tls, erlang-p1-utils, erlang-p1-xml, erlang-p1-yaml, erlang-p1-zlib,
               erlang-redis-client, erlang-ssl, erlang-xmlrpc,
               hevea, po-debconf, rebar, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra
Standards-Version: 3.9.6
Homepage: https://www.ejabberd.im
Vcs-Git: git://git.deb.at/pkg/ejabberd.git
Vcs-Browser: http://git.deb.at/w/pkg/ejabberd.git

Package: ejabberd
Architecture: any
Depends: adduser, erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, openssl, ucf, ${misc:Depends}, ${shlibs:Depends},
               erlang-lager, erlang-jiffy, erlang-p1-cache-tab, erlang-p1-iconv, erlang-p1-mysql, erlang-p1-pam, erlang-p1-pgsql, erlang-p1-sip, erlang-p1-stringprep,
               erlang-p1-stun, erlang-p1-tls, erlang-p1-utils, erlang-p1-xml, erlang-p1-yaml, erlang-p1-zlib, erlang-redis-client, erlang-xmlrpc
Recommends: ejabberd-contrib
Suggests: libunix-syslog-perl, imagemagick | graphicsmagick-imagemagick-compat
Conflicts: ejabberd-mod-shared-roster-ldap
Provides: xmpp-server
Description: distributed, fault-tolerant Jabber/XMPP server
 ejabberd is a Jabber/XMPP server written in Erlang, featuring:
  * distributed operation with load-balancing across a cluster;
  * fault-tolerant database replication and storage on multiple nodes,
    allowing nodes to be added or replaced "on the fly";
  * virtual hosting (several virtual domains can be served using a single
    ejabberd instance);
  * XMPP compliance;
  * web-based administration;
  * SSL/TLS support;
  * conferencing via Multi-User Chat;
  * IRC transport;
  * Jabber Users Directory, based on users' vCards;
  * service discovery;
  * shared roster.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
 	        dh_auto_configure -- --enable-odbc --enable-mysql --enable-pgsql --enable-pam \
-			--enable-zlib --enable-json --enable-iconv --enable-lager --enable-stun
+			--enable-zlib --enable-json --enable-iconv --enable-lager --enable-redis
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
@@ -24,11 +24,10 @@
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
 	dh_auto_install
-#	Add ufw profile
 	install -m 644 debian/ejabberd.ufw.profile $(DESTDIR)/etc/ufw/applications.d/ejabberd
 	rm $(DESTDIR)/etc/ejabberd/ejabberd.yml
 	mkdir $(DESTDIR)/etc/init.d $(DESTDIR)/etc/default
-	cp ejabberd.init $(DESTDIR)/etc/init.d/ejabberd
+	cp -v $(CURDIR)/ejabberd.init $(CURDIR)/debian/
 	mv $(DESTDIR)/etc/ejabberd/ejabberdctl.cfg $(DESTDIR)/etc/default/ejabberd
 	ln -s ../default/ejabberd $(DESTDIR)/etc/ejabberd/ejabberdctl.cfg
 	rm -r $(DESTDIR)/var/lock
@@ -36,6 +35,10 @@
 	rm $(DESTDIR)/usr/share/doc/ejabberd/COPYING
 	mkdir $(DESTDIR)/usr/share/ejabberd
 	cp ejabberd.yml.example $(DESTDIR)/usr/share/ejabberd/ejabberd.yml.example
+
+.PHONY: override_dh_installinit
+override_dh_installinit:
+	dh_installinit -vR
 
 .PHONY: override_dh_compress
 override_dh_compress:
@@ -53,4 +56,6 @@
 	rm -rf Makefile config.log config.status src/ejabberd.app.src vars.config ebin \
 		ejabberd.init ejabberdctl.example include/XmppAddr.hrl src/XmppAddr.asn1db \
 		src/XmppAddr.erl src/eldap_filter_yecc.erl
+	rm -f debian/ejabberd.init
 	dh_auto_clean
+	debconf-updatepo

## ejabberd 16.01

=== debian/changelog ===
ejabberd (16.01-2) unstable; urgency=medium

  * Build-depend on rebar >= 2.6.0
  * Moved captcha.sh to /usr/share/ejabberd/
  * Build against erlang-p1-stringprep 1.0.2 (Closes: #814016)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Feb 2016 19:09:01 +0100

ejabberd (16.01-1) unstable; urgency=medium

  * Imported Upstream version 16.01 (Closes: #804529)
  * Provides: +stun-server, turn-server
  * Refreshed patches for ejabberd 16.01
  * Dropped src.ejabberd_logger.erl.patch, now included upstream
  * Updated debian/copyright
  * Added /etc/ejabberd/modules.d
  * Fixed a bug in prerm that prevented package removal

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Jan 2016 16:32:25 +0100

ejabberd (15.10-3) unstable; urgency=medium

  * Added missing (Build-)Depends on erlang-xmerl

 -- Philipp Huebner <debalance@debian.org>  Sat, 14 Nov 2015 12:55:37 +0100

ejabberd (15.10-2) unstable; urgency=high

  * Added Breaks+Replaces against ejabberd-mod-http-upload (Closes: #804114)

 -- Philipp Huebner <debalance@debian.org>  Thu, 05 Nov 2015 15:10:19 +0100

ejabberd (15.10-1) unstable; urgency=medium

  * Imported Upstream version 15.10
  * Refreshed patches for 15.10
  * Made (Build-)Depends on erlang-p1-* versioned
  * Dropped heavy Makefile.in-patch, now handled through updated debian/rules
  * [Debconf translation updates]
  * Spanish; (Miroslav Kure).  Closes: #802777

 -- Philipp Huebner <debalance@debian.org>  Mon, 02 Nov 2015 20:06:21 +0100

ejabberd (15.09-2) unstable; urgency=medium

  [ Philipp Huebner ]
  * Added AppArmor profile
  * systemd support: added Requires=epmd.service to service file

  [ Rhonda D'Vine ]
  * Set team mail address as maintainer (Closes: #801415)

 -- Philipp Huebner <debalance@debian.org>  Thu, 15 Oct 2015 10:58:59 +0200

ejabberd (15.09-1) unstable; urgency=medium

  * Upload to unstable
  * Added entry in NEWS

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Oct 2015 12:41:43 +0200

ejabberd (15.09-1~exp1) experimental; urgency=low

  * Imported Upstream version 15.09
  * Refreshed patches for 15.09
  * Moved all Recommends to Suggests
  * Suggest erlang-oauth2
  * Removed doc-base because documentation is now only available online at
    http://docs.ejabberd.im/
  * Added src.ext_mod.erl.patch to fix support for upstream modules

 -- Philipp Huebner <debalance@debian.org>  Sat, 03 Oct 2015 08:24:28 +0200

ejabberd (15.07-1~exp1) experimental; urgency=low

  * Imported Upstream version 15.07 (Closes: #792147)
  * Complete overhaul of all patches for 15.07
  * Adjusted debian/rules and debian/docs to new upstream release
  * Added patch to use packaged version of rebar
  * Moved several packages from Depends: to Recommends:
  * Dropped erlang-jiffy and --enable-json because erlang-jiffy is only
    used when --enable-json is specified, and --enable-json has no effect
    in the community edition
  * Added support for systemd (Closes: #772037)

 -- Philipp Huebner <debalance@debian.org>  Fri, 28 Aug 2015 17:49:20 +0200

=== debian/control ===
Source: ejabberd
Section: net
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@deb.at>
Uploaders: Konstantin Khomoutov <flatworm@users.sourceforge.net>, Philipp Huebner <debalance@debian.org>, Rhonda D'Vine <rhonda@debian.org>
Build-Depends: debhelper (>= 9), dh-apparmor, dh-systemd (>= 1.5), libsqlite3-dev, po-debconf, rebar (>= 2.6.0),
 		erlang-asn1,
 		erlang-base,
 		erlang-crypto,
 		erlang-dev (>= 1:17),
 		erlang-eunit,
 		erlang-inets,
 		erlang-lager,
 		erlang-mnesia,
 		erlang-oauth2,
 		erlang-p1-cache-tab  (>= 1.0.1),
 		erlang-p1-iconv      (>= 0.2016.01.05),
 		erlang-p1-mysql      (>= 1.0.0),
 		erlang-p1-pam        (>= 1.0.0),
 		erlang-p1-pgsql      (>= 1.0.0),
 		erlang-p1-sip        (>= 1.0.0),
 		erlang-p1-stringprep (>= 1.0.2),
 		erlang-p1-stun       (>= 0.2016.01.05),
 		erlang-p1-tls        (>= 1.0.0),
 		erlang-p1-utils      (>= 1.0.3),
 		erlang-p1-xml        (>= 1.1.1),
 		erlang-p1-yaml       (>= 1.0.0),
 		erlang-p1-zlib       (>= 1.0.0),
 		erlang-parsetools,
 		erlang-redis-client,
 		erlang-sqlite3,
 		erlang-ssl,
 		erlang-xmerl
Standards-Version: 3.9.6
Homepage: https://www.ejabberd.im
Vcs-Git: git://git.deb.at/pkg/ejabberd.git
Vcs-Browser: http://git.deb.at/w/pkg/ejabberd.git

Package: ejabberd
Architecture: any
Depends: adduser, openssl, ucf, ${misc:Depends}, ${shlibs:Depends},
 		erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends},
 		erlang-lager,
 		erlang-p1-cache-tab  (>= 1.0.1),
 		erlang-p1-iconv      (>= 0.2016.01.05),
 		erlang-p1-stringprep (>= 1.0.2),
 		erlang-p1-tls        (>= 1.0.0),
 		erlang-p1-utils      (>= 1.0.3),
 		erlang-p1-xml        (>= 1.1.1),
 		erlang-p1-yaml       (>= 1.0.0),
 		erlang-p1-zlib       (>= 1.0.0),
 		erlang-xmerl
Suggests: apparmor, apparmor-utils, libunix-syslog-perl, imagemagick | graphicsmagick-imagemagick-compat,
 		ejabberd-contrib     (>> 0.2015.08),
 		erlang-oauth2,
 		erlang-p1-mysql      (>= 1.0.0),
 		erlang-p1-pam        (>= 1.0.0),
 		erlang-p1-pgsql      (>= 1.0.0),
 		erlang-p1-sip        (>= 1.0.0),
 		erlang-p1-stun       (>= 0.2016.01.05),
 		erlang-sqlite3,
 		erlang-redis-client
Breaks: ejabberd-contrib (<= 0.2015.08), ejabberd-mod-http-upload
Replaces: ejabberd-contrib (<= 0.2015.08), ejabberd-mod-http-upload
Provides: xmpp-server, stun-server, turn-server
Description: distributed, fault-tolerant Jabber/XMPP server
 ejabberd is a Jabber/XMPP server written in Erlang, featuring:
  * distributed operation with load-balancing across a cluster;
  * fault-tolerant database replication and storage on multiple nodes,
    allowing nodes to be added or replaced "on the fly";
  * virtual hosting (several virtual domains can be served using a single
    ejabberd instance);
  * XMPP compliance;
  * web-based administration;
  * SSL/TLS support;
  * conferencing via Multi-User Chat;
  * IRC transport;
  * Jabber Users Directory, based on users' vCards;
  * service discovery;
  * shared roster.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/ejabberd


%:
	dh $@ --with=systemd


.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	mkdir $(CURDIR)/deps && touch $(CURDIR)/deps/.got $(CURDIR)/deps/.built
	dh_auto_configure -- --enable-odbc --enable-mysql --enable-pgsql --enable-pam \
			--enable-zlib --enable-iconv --enable-lager --enable-redis --enable-sqlite

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	
	# install init script and service file
	install -m 755 $(CURDIR)/ejabberd.init $(CURDIR)/debian/
	install -m 644 $(CURDIR)/ejabberd.service.template $(CURDIR)/debian/ejabberd.service
	
	# ejabberd.yml is generated from the template through debconf
	rm $(DESTDIR)/etc/ejabberd/ejabberd.yml
	install -m 644 ejabberd.yml.example $(DESTDIR)/usr/share/ejabberd/ejabberd.yml.example
	
	# set up /etc/ejabberd/modules.d
	cp -v $(CURDIR)/debian/README.modules $(DESTDIR)/etc/ejabberd/modules.d/
	
	# ejabberdctl.cfg goes into /etc/default/
	mv $(DESTDIR)/etc/ejabberd/ejabberdctl.cfg $(DESTDIR)/etc/default/ejabberd
	ln -s ../default/ejabberd $(DESTDIR)/etc/ejabberd/ejabberdctl.cfg
	
	# move captcha.sh to /usr/share/ejabberd
	mv -v $(DESTDIR)/usr/lib/$(DEB_TARGET_MULTIARCH)/ejabberd-$(DEB_VERSION_UPSTREAM)/priv/bin/captcha.sh $(DESTDIR)/usr/share/ejabberd/
	rmdir $(DESTDIR)/usr/lib/$(DEB_TARGET_MULTIARCH)/ejabberd-$(DEB_VERSION_UPSTREAM)/priv/bin
	
	# install ufw profile
	install -m 644 debian/ejabberd.ufw.profile $(DESTDIR)/etc/ufw/applications.d/ejabberd
	
	# install AppArmor profile
	install -m 644 debian/usr.sbin.ejabberdctl $(DESTDIR)/etc/apparmor.d/usr.sbin.ejabberdctl
	dh_apparmor --profile-name=usr.sbin.ejabberdctl
	
.PHONY: override_dh_installinit
override_dh_installinit:
	dh_installinit -vR

.PHONY: override_dh_systemd_start
override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --exclude=ejabberd.yml

.PHONY: override_dh_auto_test
override_dh_auto_test:

.PHONY: override_dh_installdeb
override_dh_installdeb:
	erlang-depends
	rm -rf $(DESTDIR)/var/lock $(DESTDIR)/usr/bin
	rm -f $(DESTDIR)/usr/share/doc/ejabberd/COPYING.gz
	dh_installdeb

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	rm -f Makefile config.log config.status vars.config priv/sql
	rm -rf .rebar deps ebin include/XmppAddr.hrl src/XmppAddr.asn1db src/XmppAddr.erl src/eldap_filter_yecc.erl src/ejabberd.app.src
	rm -f debian/ejabberd.init debian/ejabberd.service ejabberd.init ejabberdctl.example
	dh_auto_clean
	debconf-updatepo

=== debian/watch ===
version=3

http://www.process-one.net/en/ejabberd/archive/ \
   /downloads/ejabberd/[\d.]+/ejabberd-([\d.]+)[_\d]*.tgz

## ejabberd 16.03

=== debian/changelog ===
ejabberd (16.03-1) unstable; urgency=medium

  * Imported Upstream version 16.03
  * Refreshed patches for ejabberd 16.03
  * Updated versions of erlang-p1-* deps

 -- Philipp Huebner <debalance@debian.org>  Tue, 12 Apr 2016 13:30:08 +0200

ejabberd (16.02-2) unstable; urgency=medium

  * Added erlang-luerl to Suggests (for prosody import)
  * [Debconf translation updates]
  * Japanese; (Takuma Yamada).  Closes: #815529

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 Mar 2016 17:31:58 +0100

ejabberd (16.02-1) unstable; urgency=medium

  * Imported Upstream version 16.02
  * Refreshed patches for ejabberd 16.02
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated versions of erlang-p1-* deps
  * Updated debian/README.Debian
  * Updated debian/NEWS
  * Corrected typo in manpage

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Mar 2016 16:22:24 +0100

=== debian/control ===
--- 
+++ 
@@ -13,25 +13,25 @@
  		erlang-lager,
  		erlang-mnesia,
  		erlang-oauth2,
- 		erlang-p1-cache-tab  (>= 1.0.1),
- 		erlang-p1-iconv      (>= 0.2016.01.05),
- 		erlang-p1-mysql      (>= 1.0.0),
+ 		erlang-p1-cache-tab  (>= 1.0.2),
+ 		erlang-p1-iconv      (>= 1.0.0),
+ 		erlang-p1-mysql      (>= 1.0.1),
  		erlang-p1-pam        (>= 1.0.0),
- 		erlang-p1-pgsql      (>= 1.0.0),
- 		erlang-p1-sip        (>= 1.0.0),
- 		erlang-p1-stringprep (>= 1.0.2),
- 		erlang-p1-stun       (>= 0.2016.01.05),
- 		erlang-p1-tls        (>= 1.0.0),
+ 		erlang-p1-pgsql      (>= 1.1.0),
+ 		erlang-p1-sip        (>= 1.0.2),
+ 		erlang-p1-stringprep (>= 1.0.3),
+ 		erlang-p1-stun       (>= 1.0.1),
+ 		erlang-p1-tls        (>= 1.0.1),
  		erlang-p1-utils      (>= 1.0.3),
- 		erlang-p1-xml        (>= 1.1.1),
- 		erlang-p1-yaml       (>= 1.0.0),
- 		erlang-p1-zlib       (>= 1.0.0),
+ 		erlang-p1-xml        (>= 1.1.11),
+ 		erlang-p1-yaml       (>= 1.0.3),
+ 		erlang-p1-zlib       (>= 1.0.1),
  		erlang-parsetools,
  		erlang-redis-client,
  		erlang-sqlite3,
  		erlang-ssl,
  		erlang-xmerl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://www.ejabberd.im
 Vcs-Git: git://git.deb.at/pkg/ejabberd.git
 Vcs-Browser: http://git.deb.at/w/pkg/ejabberd.git
@@ -41,23 +41,24 @@
 Depends: adduser, openssl, ucf, ${misc:Depends}, ${shlibs:Depends},
  		erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends},
  		erlang-lager,
- 		erlang-p1-cache-tab  (>= 1.0.1),
- 		erlang-p1-iconv      (>= 0.2016.01.05),
- 		erlang-p1-stringprep (>= 1.0.2),
- 		erlang-p1-tls        (>= 1.0.0),
+ 		erlang-p1-cache-tab  (>= 1.0.2),
+ 		erlang-p1-iconv      (>= 1.0.0),
+ 		erlang-p1-stringprep (>= 1.0.3),
+ 		erlang-p1-tls        (>= 1.0.1),
  		erlang-p1-utils      (>= 1.0.3),
- 		erlang-p1-xml        (>= 1.1.1),
- 		erlang-p1-yaml       (>= 1.0.0),
- 		erlang-p1-zlib       (>= 1.0.0),
+ 		erlang-p1-xml        (>= 1.1.11),
+ 		erlang-p1-yaml       (>= 1.0.3),
+ 		erlang-p1-zlib       (>= 1.0.1),
  		erlang-xmerl
 Suggests: apparmor, apparmor-utils, libunix-syslog-perl, imagemagick | graphicsmagick-imagemagick-compat,
  		ejabberd-contrib     (>> 0.2015.08),
+ 		erlang-luerl,
  		erlang-oauth2,
- 		erlang-p1-mysql      (>= 1.0.0),
+ 		erlang-p1-mysql      (>= 1.0.1),
  		erlang-p1-pam        (>= 1.0.0),
- 		erlang-p1-pgsql      (>= 1.0.0),
- 		erlang-p1-sip        (>= 1.0.0),
- 		erlang-p1-stun       (>= 0.2016.01.05),
+ 		erlang-p1-pgsql      (>= 1.1.0),
+ 		erlang-p1-sip        (>= 1.0.2),
+ 		erlang-p1-stun       (>= 1.0.1),
  		erlang-sqlite3,
  		erlang-redis-client
 Breaks: ejabberd-contrib (<= 0.2015.08), ejabberd-mod-http-upload
